Moves or renames a file from the current path to a new path specified in the new_path parameter.
Requirements:
ref_id must be a workspace IDValidation: Both paths are normalized and validated before the operation.
Returns:
404 Not Found if the source path doesn’t exist202 Accepted on successful moveDocumentation Index
Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
Use this file to discover all available pages before exploring further.
This API uses OAuth 2 with the implicit grant flow
The unique id of the client making this request
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
3 - 128"example_id"
An ID of a workspace, branch or commit.
3 - 128"example_id"
A path to a file inside the repository.
"/path/to/file"
The new path to where the file has moved
"/path/to/file"
File moved